<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>
<?xbl href="bindings.xml"?>
<html><head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>X-Smiles.org</title>

<link href="xsmiles_style.css" type="text/css" rel="stylesheet">
<link href="xsmiles_style.html" type="text/css" rel="stylesheet">
<style type="text/css">
					td.nav, table.nav, tr.nav,td.contentarea {vertical-align: top; border-width:0px;}
				</style><!--NOTE: THIS FILE IS AUTOMATICALLY GENERATED BY XSL, DO NOT EDIT BY HAND. EDIT FEATURES.XML INSTEAD AND RUN 'build.sh sitedoc--></head><body>
<img alt="X-SMILES.ORG" src="xsmiles.gif"><table class="nav">
<tbody><tr class="nav">
<td class="nav" style="vertical-align: top; width: 100pt;">
     <div id="navbar" class="navbar">
     <div>
     <p id="link-xsmiles" class="link">
      <a class="linkmain" href="index.html">X-Smiles</a>
     </p>
     <p id="link-objectives" class="link">
      <a class="linkmain" href="xsmiles_objectives.html">Objectives</a>
     </p>
     <p id="link-contributors" class="link">
      <a class="linkmain"  href="contributors.html">Contributors</a>
     </p>
     <p id="link-screenshots" class="link">
      <a class="linkmain" href="screenshots.html">Screenshots</a>
     </p>
     <p id="link-downloads" class="link">
      <a class="linkmain" href="download.html">Download</a>
     </p>
     <p id="link-documents" class="link">  
      <a class="linkmain">Documents</a>
      <a class="linksub1" href="xsmiles_features.html">Features</a> 
      <a class="linksub1" href="xsmiles_installation.html">Installation</a>
      <a class="linksub1" href="platforms.html">Platforms</a>
      <a class="linksub1" href="xsmiles_faq.html">FAQ</a>
      <a class="linksub1" href="xsmiles_test.html">Testimonials</a>
     </p>
     <p id="link-developers" class="link">
      <a class="linkmain">Developer Area</a>
      <a class="linksub1" href="participate.html">Participating</a>
      <a class="linksub1" href="techspec.html">Technical Spec</a>
      <a class="linksub1" href="xsmiles_compiling.html">How to compile</a>
      <a class="linksub1" href="xsmiles_future.html">Projects</a>
      <a class="linksub1" href="http://www.xsmiles.org/javadoc/index.html">Javadoc</a>
      <a class="linksub1" href="cvs.html">CVS access</a>
      <a class="linksub1" href="xsmiles_smil.html">SMIL package</a>
      <a class="linksub1" href="http://www.xsmiles.org/demo/demos.xhtml">Demos</a>
     </p>
     <p id="link-reading" class="link">
      <a class="linkmain">Reading</a>
      <a class="linksub1" href="presentations.html">Presentations</a>
      <a class="linksub1" href="publications.html">Publications</a>
     </p>
     <p id="link-feedback" class="link">
      <a class="linkmain">Feedback</a>
      <a class="linksub1" href="http://sourceforge.net/bugs/?group_id=18700"> Bugs</a>
      <a class="linksub1" href="xsmiles_lists.html">Mailing lists</a>
     </p>
    </div>
    </div>
</td><td class="contentarea">
<div class="contentarea">
<h1>An XML-browser in Java.&nbsp;</h1>
<h2>X-Smiles in a nutshell</h2>
<p>X-Smiles is&nbsp; a Java based XML browser. It is intended for both
desktop use and embedded network devices and to support multimedia
services.</p>
<p>The main advantage of the X-Smiles browser is that it supports
several XML related specifications and is still suitable for embedded
devices supporting the Java environment.&nbsp;</p>
<h2>Who's behind it?</h2>
<p>X-Smiles is a non-profit project started by the <a href="http://www.tml.hut.fi/english.html">Telecommunications Software and Multimedia Laboratory</a> at <a href="http://www.hut.fi/English/">Helsinki University of Tehcnology</a>.&nbsp;</p>
<p>It was first conceived in a student software project in 1998-1999.
Since it has been developed by the staff of the laboratory in the <a href="http://go.cs.hut.fi/">GO</a> and XML Devices projects.</p>
<p>X-Smiles was released as open source in the beginning of the year 2001.</p>
<h2>Main goals</h2>
<h3>XML browser in Java</h3>
<p>The main objective of X-Smiles project is to deliver a pure Java XML
browser, capable of displaying documents written in various XML
languages. The X-Smiles browser should support at least:&nbsp;</p>
<ul>
<li>XML+CSS</li>
<li>XHTML<br>
</li>
<li>XSL Transformations (<a href="http://www.w3.org/TR/xslt.html">XSLT</a>)</li>
<li>Synchronised Multimedia Integration Language (<a href="http://www.w3.org/TR/REC-smil/">SMIL</a>)&nbsp;</li>
<li>
<a href="http://www.w3.org/MarkUp/Forms/">XForms</a>
</li>
<li>
<a href="http://www.w3.org/MarkUp/">XHTML</a>
</li>
<li>
<a href="http://www.web3d.org/x3d.html">X3D</a>
</li>
<li>Scalable Vector Graphics (<a href="http://www.w3.org/TR/2000/CR-SVG-20001102/index.html">SVG</a>)</li>
<li>XSL Formatting Objects <a href="http://www.w3.org/TR/xsl/">(XSL FO)</a>
</li>
</ul>
<p>Some of these XML standards are supported by free third party
libraries (e.g. XSL FO viewer) while others are delivered in the
X-Smiles project (e.g. SMIL, XForms, CSS and XHTML).</p>
<h3>Suitable for small embedded devices</h3>
<p>Another main goal is that X-Smiles should be suitable for small embedded devices supporting Java.<br>
</p>
<h2>Secondary goals</h2>
<p>Secondary goals of the X-Smiles project are desirable requirements that also have a high priority.</p>
<h4>Mixing different XML languages</h4>
<p>An important secondary goal of X-Smiles is to redesign the browser
core to allow mixing of different (supported) XML languages in a single
document. This should be done in conformance to the <a href="http://www.w3.org/TR/1999/REC-xml-names-19990114/">XML namespaces</a> spec.&nbsp;</p>
<h4>Multimedia content and streaming</h4>
<p>Another secondary goal is to allow rich multimedia content, such as video and audio, and streaming of it.&nbsp;</p>
<h4>Support for interactive services through<br>
</h4>
<p>One secondary goal is to have some kind of form support in X-Smiles
browser to allow interactive services. One possibility is the
implementation of <a href="http://www.w3.org/MarkUp/Forms/">XForms</a>. XForms is a future form description language currently under development.&nbsp;</p>See <a href="xsmiles_future.html">X-Smiles projects</a> for more detailed look at the current projects<br>
<hr>
		  Copyright (c) 2000-2007 X-Smiles.org et.al.
	</div>
</td>
</tr>
</tbody></table>
</body></html>